/*
 
*/
define('component/addMapText',function (require, exports, module) { 
    
	var GenericInfo = _.Class({
		initial : function(option){
			var defaultOp = {
				con : "",
				leftTemplate : 'leftTemplate',
				rightTemplate : 'rightTemplate',
				data : {
					"guilin" : {
						name : "桂林",
						wst : {
							top : '51%',
							left :'-2%'
						},
						linest : {
							width:158
						},
						tType : "leftTemplate"
					
					},
					"ziyuan" : {
						name : "资源县",
						wst : {
							top : '10%',
							left :'1%'
						},
						linest : {
							width:210
						},
						tType : "leftTemplate"
					
					},
					"longsheng" : {
						name : "龙胜各族自治县",
						wst : {
							top : '20%',
							left :'-10%'
						},
						linest : {
							width:80
						},
						tType : "leftTemplate"
					
					},
					"lingchuan" : {
						name : "灵川县",
						wst : {
							top : '35%',
							left :'-4%'
						},
						linest : {
							width:135
						},
						tType : "leftTemplate"
					
					},
					"lingui" : {
						name : "临桂县",
						wst : {
							top : '42%',
							left :'-6%'
						},
						linest : {
							width:96
						},
						tType : "leftTemplate"
					
					},
					"yongfu" : {
						name : "永福县",
						wst : {
							top : '62%',
							left :'-15%'
						},
						linest : {
							width:138
						},
						tType : "leftTemplate"
					
					},
					"yangshuo" : {
						name : "阳朔县",
						wst : {
							top : '74%',
							left :'-2%'
						},
						linest : {
							width:187
						},
						tType : "leftTemplate"
					
					},
					"lipu" : {
						name : "荔浦县",
						wst : {
							top : '86%',
							left :'2%'
						},
						linest : {
							width:123
						},
						tType : "leftTemplate"
					
					},
					"quanzhou" : {
						name : "全州县",
						wst : {
							top : '13%',
							right :'0%'
						},
						linest : {
							width:86
						},
						tType : "rightTemplate"
					
					},
					"xingan" : {
						name : "兴安县",
						wst : {
							top : '30%',
							right : '-6%'
						},
						linest : {
							width:210
						},
						tType : "rightTemplate"
					
					},
					"guanyang" : {
						name : "灌阳县",
						wst : {
							top : '39%',
							right :'-4%'
						},
						linest : {
							width:76
						},
						tType : "rightTemplate"
					
					},
					"gongcheng" : {
						name : "恭城县",
						wst : {
							top : '61%',
							right :'4%'
						},
						linest : {
							width:97
						},
						tType : "rightTemplate"
					
					},
					"pingle" : {
						name : "平乐县",
						wst : {
							top : '83%',
							right :'10%'
						},
						linest : {
							width:94
						},
						tType : "rightTemplate"
					
					}

				
				}
			
			};
			this.options = $.extend(true,{},defaultOp,option);
			this.$con = $(this.options.con);
			// 百度template
			this.bt = baidu.template;
			this.renderView();
			this.bindEvent();
		
		},
		renderView : function(){
			
			var  data = this.options.data;
			for(var i in data){
				var target = i,
				    item = data[i],
				    temp = this.options[item["tType"]];
				var $temp = $(this.bt(temp, {name : item.name,target:target}));
				$temp.css(item.wst);
				$temp.find('[data-role="line"]').css(item.linest);
			    this.$con.append($temp);
			}

		
		},
		selectArea : function(key){
		
			var that = this.$con.find('[data-target="'+key+'"]');
			this.$con.find('[data-role="mname"]').removeClass('hover');
			that.find('[data-role="mname"]').addClass('hover');
		},
		clear : function(){
			
		
		},
		bindEvent:function(){
		    var self = this;
			this.$con.delegate(".map-info-wrap","click",function(){
				 var that = $(this),
					 key = that.data('target');
				 self.$con.find('[data-role="mname"]').removeClass('hover');
				 that.find('[data-role="mname"]').addClass('hover');
				 amplify.publish("clicktext",key);
		    });
		}

	
	});
	 module.exports = GenericInfo;
});